Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.1 Java API Reference 10g Release 3 (10.1.3) B25384-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.liberty.v11
Class IDPList

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.liberty.v11.IDPList`

public class IDPList
extends oracle.security.xmlsec.util.XMLElement

Liberty IDPList element which is used in the AuthnRequestEnvelope to allow the service provider to transport a list of identity providers to the user agent.

See Also:
  `AuthnRequestEnvelope`, `IDPEntries`

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`IDPList(org.w3c.dom.Document owner)` Creates a new `IDPList` instance.
`IDPList(org.w3c.dom.Element element)` Creates a new `IDPList` instance from the given Element node.
`IDPList(org.w3c.dom.Element element, java.lang.String SystemId)` Creates a new `IDPList` instance from the given Element node.

Method Summary
`void` | `addGetComplete(java.lang.String listURI)` Adds a GetComplete element to this `IDPList`.
`java.util.List` | `getGetCompletes()` Returns a `List` containing the URI's specified in the GetComplete elements present in this IDPList.
`IDPEntries` | `getIDPEntries()` Gets the IDPEntries element contained in this element.
`void` | `setIDPEntries(IDPEntries entries)` Sets the IDPEntries child element of this element.

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IDPList

    public IDPList(org.w3c.dom.Element element)
            throws org.w3c.dom.DOMException

  Creates a new `IDPList` instance from the given Element node.
Parameters:
  `element` - A Liberty IDPList element.

### IDPList

    public IDPList(org.w3c.dom.Element element,
                   java.lang.String SystemId)
            throws org.w3c.dom.DOMException

  Creates a new `IDPList` instance from the given Element node.
Parameters:
  `element` - A Liberty IDPList element.

### IDPList

    public IDPList(org.w3c.dom.Document owner)
            throws org.w3c.dom.DOMException

  Creates a new `IDPList` instance.
Parameters:
  `owner` - The owner document of the new Liberty IDPList element.

Method Detail

### setIDPEntries

    public void setIDPEntries(IDPEntries entries)

  Sets the IDPEntries child element of this element. The IDPEntries contains a list of identity provider entries.

### getIDPEntries

    public IDPEntries getIDPEntries()

  Gets the IDPEntries element contained in this element.
  Returns:
    An `IDPEntries` object.

### addGetComplete

    public void addGetComplete(java.lang.String listURI)

  Adds a GetComplete element to this `IDPList`. If the identity provider list as specified in the IDEntries element is not complete, this elemnt is included with a URI that points to where the complete list can be retrieved.
  Parameters:
    `listURI` - An URI points to a complete list of identity providers.

### getGetCompletes

    public java.util.List getGetCompletes()

  Returns a `List` containing the URI's specified in the GetComplete elements present in this IDPList.
  Returns:
    A `List` object of URI's or an empty `List`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.1 Java API Reference 10g Release 3 (10.1.3) B25384-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.